Package org.apache.calcite.avatica.proto

## Class Responses.CloseStatementResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Responses.CloseStatementResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.io.Serializable`, `Responses.CloseStatementResponseOrBuilder`

Enclosing class:
  Responses

    public static final class Responses.CloseStatementResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements Responses.CloseStatementResponseOrBuilder

     Response to CloseStatementRequest

Protobuf type `CloseStatementResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Responses.CloseStatementResponse.Builder` Response to CloseStatementRequest

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private static Responses.CloseStatementResponse` `DEFAULT_INSTANCE`
`private byte` `memoizedIsInitialized`
`private Responses.RpcMetadata` `metadata_`
`static int` `METADATA_FIELD_NUMBER`
`private static com.google.protobuf.Parser<Responses.CloseStatementResponse>` `PARSER`
`private static long` `serialVersionUID`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `CloseStatementResponse()`
`private` `CloseStatementResponse​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `CloseStatementResponse​(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`static Responses.CloseStatementResponse` `getDefaultInstance()`
`Responses.CloseStatementResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 1;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 1;`
`com.google.protobuf.Parser<Responses.CloseStatementResponse>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Responses.CloseStatementResponse.Builder` `newBuilder()`
`static Responses.CloseStatementResponse.Builder` `newBuilder​(Responses.CloseStatementResponse prototype)`
`Responses.CloseStatementResponse.Builder` `newBuilderForType()`
`protected Responses.CloseStatementResponse.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Responses.CloseStatementResponse` `parseDelimitedFrom​(java.io.InputStream input)`
`static Responses.CloseStatementResponse` `parseDelimitedFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.CloseStatementResponse` `parseFrom​(byte[] data)`
`static Responses.CloseStatementResponse` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.CloseStatementResponse` `parseFrom​(com.google.protobuf.ByteString data)`
`static Responses.CloseStatementResponse` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.CloseStatementResponse` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static Responses.CloseStatementResponse` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.CloseStatementResponse` `parseFrom​(java.io.InputStream input)`
`static Responses.CloseStatementResponse` `parseFrom​(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.CloseStatementResponse` `parseFrom​(java.nio.ByteBuffer data)`
`static Responses.CloseStatementResponse` `parseFrom​(java.nio.ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Responses.CloseStatementResponse>` `parser()`
`Responses.CloseStatementResponse.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### metadata_

    private Responses.RpcMetadata metadata_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### DEFAULT_INSTANCE

    private static final Responses.CloseStatementResponse DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Responses.CloseStatementResponse> PARSER

### Constructor Detail

#### CloseStatementResponse

    private CloseStatementResponse​(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### CloseStatementResponse

    private CloseStatementResponse()

#### CloseStatementResponse

    private CloseStatementResponse​(com.google.protobuf.CodedInputStream input,
                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                            throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### hasMetadata

    public boolean hasMetadata()

`.RpcMetadata metadata = 1;`

Specified by:
  `hasMetadata` in interface `Responses.CloseStatementResponseOrBuilder`

#### getMetadata

    public Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 1;`

Specified by:
  `getMetadata` in interface `Responses.CloseStatementResponseOrBuilder`

#### getMetadataOrBuilder

    public Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 1;`

Specified by:
  `getMetadataOrBuilder` in interface `Responses.CloseStatementResponseOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws java.io.IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `java.io.IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(java.lang.Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(java.nio.ByteBuffer data)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(java.nio.ByteBuffer data,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(com.google.protobuf.ByteString data)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(com.google.protobuf.ByteString data,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(byte[] data)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(byte[] data,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(java.io.InputStream input)
                                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(java.io.InputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static Responses.CloseStatementResponse parseDelimitedFrom​(java.io.InputStream input)
                                                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseDelimitedFrom

    public static Responses.CloseStatementResponse parseDelimitedFrom​(java.io.InputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseFrom

    public static Responses.CloseStatementResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### newBuilderForType

    public Responses.CloseStatementResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Responses.CloseStatementResponse.Builder newBuilder()

#### newBuilder

    public static Responses.CloseStatementResponse.Builder newBuilder​(Responses.CloseStatementResponse prototype)

#### toBuilder

    public Responses.CloseStatementResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Responses.CloseStatementResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Responses.CloseStatementResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Responses.CloseStatementResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<Responses.CloseStatementResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Responses.CloseStatementResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`